<template>
  <div style="width: 100%; height: 100%;">
    <a-card :bordered="false">
      <a-row type="flex" :gutter="16">
        <a-col :md="5">
          <a-tabs :activeKey="activeKey" @change="tabChange">
            <a-tab-pane key="1" tab="车间层级" force-render>
              <base-tree @getCurrSelected="changeSelectionNode"></base-tree>
            </a-tab-pane>
            <a-tab-pane v-if="isDepartType == 0" key="2" tab="部门层级">
              <depart-tree @getCurrSelectedDD="changeSelectionNodedd"></depart-tree>
            </a-tab-pane>
          </a-tabs>
        </a-col>
        <a-col :md="19">
          <EquipmentStandbyShutdownList :node='selectedEquipment' :Type="selectedTypeTree"/>
        </a-col>
      </a-row>
    </a-card>
  </div>

</template>

<script>
import BaseTree from '../common/BaseTree'
import DepartTree from './modules/DepartList/DepartListTree/DepartTree'
import { mapActions } from 'vuex'
import EquipmentStandbyShutdownList
  from '@views/mdc/base/modules/EquipmentStandbyShutDown/EquipmentStandbyShutdownList.vue'

export default {
  name: 'EquipmentStandbyShutDown',
  components: {
    EquipmentStandbyShutdownList,
    BaseTree,
    DepartTree
  },
  data() {
    return {
      activeKey: '1',
      selectedEquipment: {},
      selectedTypeTree: '',
      isDepartType: ''
    }
  },
  created() {
    this.queryTreeData()
  },
  methods: {
    ...mapActions(['QueryDepartTree']),

    queryTreeData() {
      this.QueryDepartTree()
        .then(res => {
          if (res.success) {
            this.isDepartType = res.result[0].value
          } else {
            this.$notification.warning({
              message: '消息',
              description: res.message
            })
          }
        })
    },

    tabChange(val) {
      this.activeKey = val
      this.selectedTypeTree = val
    },
    changeSelectionNode(val) {
      this.selectedEquipment = val
      this.selectedTypeTree = '1'
    },
    changeSelectionNodedd(val) {
      this.selectedEquipment = val
      this.selectedTypeTree = '2'
    }
  }

}
</script>
<style scoped>
@import '~@assets/less/common.less';

.equipMessage {
  width: 100%;
  height: 10%;
}

.equipMessage table {
  width: 60%;
  height: 100%;
  line-height: 50%;
}

.equipMessage table td {
  text-align: center;
}

.equipMessage table td span {
  display: inline-block;
  width: 15px;
  height: 15px;
}

.equipMessage table td .equipShutdown {
  background-color: #808080;
}

.equipMessage table td .equipStandby {
  background-color: #ffbf37;
}

.equipMessage table td .equipRun {
  background-color: #19FE01;
}

.equipMessage table td .equipAlarm {
  background-color: #FD0008;
}
</style>